Package com.ngrok.definitions

# Class AwsAuth

java.lang.Object
com.ngrok.definitions.AwsAuth

public class AwsAuth extends Object
A class encapsulating the `AwsAuth` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AwsAuth.Builder`
  Builder class for `AwsAuth`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<AwsCredentials>`
  `getCreds()`
  Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
  `Optional<AwsRole>`
  `getRole()`
  A role for ngrok to assume on your behalf to deposit events into your AWS account.
  `int`
  `hashCode()`
  `static AwsAuth.Builder`
  `newBuilder()`
  Creates a new builder for the `AwsAuth` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static AwsAuth.Builder newBuilder()
    Creates a new builder for the `AwsAuth` type.
    Returns:
      a new `AwsAuth.Builder`

  - ### getRole

    public Optional<AwsRole> getRole()
    A role for ngrok to assume on your behalf to deposit events into your AWS account.
    Returns:
      the value of the property as a `AwsRole` wrapped in an `Optional`

  - ### getCreds

    public Optional<AwsCredentials> getCreds()
    Credentials to your AWS account if you prefer ngrok to sign in with long-term access keys.
    Returns:
      the value of the property as a `AwsCredentials` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`